/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomAttr_H___INT_
#define __GdomAttr_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomEventTargetNode.h"
#include "GDOMObject.h"
#include "Attr.h"
G_BEGIN_DECLS
class GDOMAttr : public GDOMEventTargetNode {
    typedef GDOMEventTargetNode Base;
public:
    int get_gobj_type() { return GDOM_TYPE_ATTR; }
    GDOMAttr(PassRefPtr<WebCore::Attr> impl);
    WebCore::Attr* impl() const
    {
        return static_cast<WebCore::Attr*>(Base::impl());
    }
};
G_END_DECLS

#endif /* __GdomAttr_H___INT_*/
